<?php declare(strict_types=1);

namespace Infomaker\ProjectPlugin;

use Infomaker\Everyware\Base\AppConfig;
use Infomaker\Everyware\Support\Str;
use Infomaker\ProjectPlugin\Interfaces\PluginConfigInterface;

class Config implements PluginConfigInterface
{
    protected $name;
    protected $slug;
    protected $path;

    public function __construct(string $path)
    {
        $this->name = AppConfig::getOrganisationName();
        $this->slug = Str::slug($path);
        $this->path = $path;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function getPath(string $file = null): string
    {
        return $file ? Str::append($file, $this->path, '/') : $this->path;
    }
}
